// Bsp13.cpp : Definiert den Einsprungpunkt für die Konsolenanwendung.
//

#include "stdafx.h"

#include "adresse.h"

int main(int argc, char* argv[])
{
  struct adresse a1,*a2;
  Person *p1;
  FILE *fil;

  fil = fopen("test.txt", "w");

  strcpy(a1.strasse, "Bergstrasse");
  a2= &a1;
  a1.hausnummer = 7;
  a1.plz = 12345;
  strcpy(a1.ort, "Teststadt");


  strcpy(p1->Name, "Schneider");
  strcpy(p1->Vorname, "Hans");
  p1->Alter = 12;
  strcpy(p1->Typ, "Nobelpreistraeger");

  fprintf(fil, "Strasse: %s\nHausnummer: %d\nPostleitzahl: \
    %d\nOrt: %s\n", a1.strasse, a1.hausnummer, a1.plz, \
    a1.ort);
  
  fprintf(fil, "Strasse: %s\nHausnummer: %d\nPostleitzahl: \
    %d\nOrt: %s\n Typ = %s\n",a2->strasse,a2->hausnummer, a2->plz, \
    a2->ort, p1->Typ);
  
  
  fclose(fil);
  return 0;
}
